org.jclouds.vcloud.director.v1_5.features
Interface VdcApi

All Known Subinterfaces:
AdminVdcApi

public interface VdcApi

Provides synchronous access to a vDC.

Author:
danikov
See Also:
VdcAsyncApi,

Method Summary
 VAppTemplate captureVApp(URI vdcUri, CaptureVAppParams params)
          Captures a vApp into vApp template.
 Media cloneMedia(URI vdcUri, CloneMediaParams params)
          Clones a media into new one.
 VApp cloneVApp(URI vdcUri, CloneVAppParams params)
          Clones a vApp into new one.
 VAppTemplate cloneVAppTemplate(URI vdcUri, CloneVAppTemplateParams params)
          Clones a vApp template into new one.
 VApp composeVApp(URI vdcUri, ComposeVAppParams params)
          Composes a new vApp using VMs from other vApps or vApp templates.
 Media createMedia(URI vdcUri, Media media)
          Creates a media (and present upload link for the floppy/iso file).
 MetadataApi.Readable getMetadataApi()
           
 Vdc getVdc(URI vdcUri)
          Retrieves a vdc.
 VApp instantiateVApp(URI vdcUri, InstantiateVAppParams params)
          Instantiate a vApp template into a new vApp.
 VAppTemplate uploadVAppTemplate(URI vdcUri, UploadVAppTemplateParams params)
          Uploading vApp template to a vDC.
 

Method Detail

getVdc

Vdc getVdc(URI vdcUri)
Retrieves a vdc.

Returns:
the vdc or null if not found

captureVApp

VAppTemplate captureVApp(URI vdcUri,
                         CaptureVAppParams params)
Captures a vApp into vApp template. The status of vApp template will be in UNRESOLVED(0) until the capture task is finished.

Returns:
a VApp resource which will contain a task. The user should should wait for this task to finish to be able to use the vApp.

cloneMedia

Media cloneMedia(URI vdcUri,
                 CloneMediaParams params)
Clones a media into new one. The status of the returned media is UNRESOLVED(0) until the task for cloning finish.

Returns:
a Media resource which will contain a task. The user should monitor the contained task status in order to check when it is completed.

cloneVApp

VApp cloneVApp(URI vdcUri,
               CloneVAppParams params)
Clones a vApp into new one. The status of vApp will be in UNRESOLVED(0) until the clone task is finished.

Returns:
a VApp resource which will contain a task. The user should should wait for this task to finish to be able to use the vApp.

cloneVAppTemplate

VAppTemplate cloneVAppTemplate(URI vdcUri,
                               CloneVAppTemplateParams params)
Clones a vApp template into new one. The status of vApp template will be in UNRESOLVED(0) until the clone task is finished.

Returns:
a VAppTemplate resource which will contain a task. The user should should wait for this task to finish to be able to use the VAppTemplate.

composeVApp

VApp composeVApp(URI vdcUri,
                 ComposeVAppParams params)
Composes a new vApp using VMs from other vApps or vApp templates. The vCloud API supports composing a vApp from any combination of vApp templates, vApps, or virtual machines. When you compose a vApp, all children of each composition source become peers in the Children collection of the composed vApp. To compose a vApp, a api makes a compose vApp request whose body is a ComposeVAppParams element, includes the following information: If any of the composition items is subject to a EULA, the ComposeVAppParams element must include an AllEULAsAccepted element that has a value of true, indicating that you accept the EULA. Otherwise, composition fails. The composed vApp must be deployed and powered on before it can be used. The status of vApp will be UNRESOLVED(0) until the compose task is finished.

Returns:
a VApp resource which will contain a task. The user should should wait for this task to finish to be able to use the vApp.

instantiateVApp

VApp instantiateVApp(URI vdcUri,
                     InstantiateVAppParams params)
Instantiate a vApp template into a new vApp. The status of vApp will be in UNRESOLVED(0) until the instantiate task is finished.
 POST /vdc/{id}/action/instantiateVAppTemplate
 

Returns:
a VApp resource which will contain a task. The user should should wait for this task to finish to be able to use the vApp.

uploadVAppTemplate

VAppTemplate uploadVAppTemplate(URI vdcUri,
                                UploadVAppTemplateParams params)
Uploading vApp template to a vDC. The operation is separate on several steps:
  1. creating empty vApp template entity
  2. uploading an OVF of vApp template
  3. uploading disks described from the OVF
  4. finishing task for uploading
The status of vApp template will be NOT_READY(0) until the ovf and all disks are uploaded to the transfer site. After this a task will run on the vApp template uploading. Note that the empty vApp template's getFiles() returns a file of size -1 after step one above, because the descriptor.ovf does not yet exist.

Returns:
a VAppTemplate resource which will contain a task. The user should should wait for this task to finish to be able to use the VAppTemplate.

createMedia

Media createMedia(URI vdcUri,
                  Media media)
Creates a media (and present upload link for the floppy/iso file).

Returns:
The response will return a link to transfer site to be able to continue with uploading the media.

getMetadataApi

MetadataApi.Readable getMetadataApi()
Returns:
synchronous access to Metadata.Readable features


Copyright © 2009-2012 jclouds. All Rights Reserved.